## EmpathyTpChatroom

EmpathyTpChatroom

## Synopsis

                        EmpathyTpChatroomPriv;
                        EmpathyTpChatroom;
    EmpathyTpChatroom*  empathy_tp_chatroom_new             (McAccount *account,
                                                             TpChan *tp_chan);
    gboolean            empathy_tp_chatroom_get_invitation  (EmpathyTpChatroom *chatroom,
                                                             EmpathyContact **contact,
                                                             const gchar **message);
    void                empathy_tp_chatroom_accept_invitation
                                                            (EmpathyTpChatroom *chatroom);
    void                empathy_tp_chatroom_set_topic       (EmpathyTpChatroom *chatroom,
                                                             const gchar *topic);

## Object Hierarchy

      GObject
       +----EmpathyTpChat
             +----EmpathyTpChatroom

## Implemented Interfaces

EmpathyTpChatroom implements EmpathyContactList.

## Description

## Details

### EmpathyTpChatroomPriv

    typedef struct _EmpathyTpChatroomPriv EmpathyTpChatroomPriv;

### EmpathyTpChatroom

    typedef struct _EmpathyTpChatroom EmpathyTpChatroom;

### empathy_tp_chatroom_new ()

    EmpathyTpChatroom*  empathy_tp_chatroom_new             (McAccount *account,
                                                             TpChan *tp_chan);

`account` : |
`tp_chan` : |
Returns : |

### empathy_tp_chatroom_get_invitation ()

    gboolean            empathy_tp_chatroom_get_invitation  (EmpathyTpChatroom *chatroom,
                                                             EmpathyContact **contact,
                                                             const gchar **message);

`chatroom` : |
`contact` : |
`message` : |
Returns : |

### empathy_tp_chatroom_accept_invitation ()

    void                empathy_tp_chatroom_accept_invitation
                                                            (EmpathyTpChatroom *chatroom);

`chatroom` : |

### empathy_tp_chatroom_set_topic ()

    void                empathy_tp_chatroom_set_topic       (EmpathyTpChatroom *chatroom,
                                                             const gchar *topic);

`chatroom` : |
`topic` : |